import request from '@/utils/request';
import { wrapTreeNode } from '@/utils/format';


// 获取销售同环比
export async function handleGetAbnormalRateReport(params: any) {
    const data = await request('/Audit/GetAbnormalRateReport', {
        method: 'GET',
        params
    })

    if (data.Result_Code !== 100) {
        return {
            data: [],
            otherData: '',
            current: 1,
            pageSize: 20,
            total: 0,
            success: true,
        };
    }

    const treeTable = wrapTreeNode(data.Result_Data.List);
    return treeTable
}
